Subject: RE: [hackers-il] YA Vim Trick: Indenting an Arbitrary Block

From: Chen Shapira <[email-masked]>
Date: Wed, 20 Feb 2002 16:25:01 +0200

> -----Original Message-----
> From: Adi Stav [mailto:[email-masked]]
> Sent: Wednesday, February 20, 2002 6:12 PM
> To: [email-masked]
> Subject: Re: [hackers-il] YA Vim Trick: Indenting an Arbitrary Block
> 
> 
> On Wed, Feb 20, 2002 at 01:18:54PM +0200, Chen Shapira wrote:
> > 
> > I believe it has nothing to do with hacker mindset.
> > It has to do with C programmer mindset :-)

> Perhaps, but not mine... I use high-level languages too when they fit 
> the purpose, for as long as I understand how they think. 

You can't claim to use perl when it fits and then claim that you like small
transparent tools :-)

> Damn, yet another attempt to define the hacker mindset goes in 
> flames :) What an elusive concept... ("I'll know it when I see 
> it")

I seem to recall that you've read "Zen and the Art of Motorcycle
Maintainance".
Try going over the concepts (or the book), and replace "quality" with
"hacker mindset".
I think it'll make sense :-)
He even explains it some where. He says that replacing "tau" with "quality"
in a famous tau book made sense, and explains it by deciding that most
mystical pseudo-definitions replace each other well.